Method: appstoreappsreview.uploadimage

Upload a screenshot or app icon for the hosted app. Returns an ID to track the image.

HTTP request

  • Upload URI, for media upload requests:
    POST https://androidpublisher.googleapis.com/upload/androidpublisher/v3/appstore/{appStorePackageName}/apps/{packageName}/images:upload
  • Metadata URI, for metadata-only requests:
    POST https://androidpublisher.googleapis.com/androidpublisher/v3/appstore/{appStorePackageName}/apps/{packageName}/images:upload

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
appStorePackageName

string

Required. Package name of the third-party app store.

packageName

string

Required. Package name of the app.

Request body

The request body must be empty.

Response body

Response for uploading an image.

If successful, the response body contains data with the following structure:

JSON representation
{
  "imageId": string
}
Fields
imageId

string

The unique ID of the uploaded image.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/androidpublisher